"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Textarea = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _rebass = require("rebass");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getBorderColor = function getBorderColor(_ref) {
  var theme = _ref.theme;
  return {
    borderColor: theme.colors.ui05
  };
};

var getFocusBorderColor = function getFocusBorderColor(_ref2) {
  var theme = _ref2.theme;
  return {
    borderColor: theme.colors.primary
  };
};

var Textarea = (0, _styledComponents.default)(_rebass.Box).withConfig({
  displayName: "Textareastyle__Textarea",
  componentId: "sc-1vnjjcu-0"
})(["appearance:none;border-width:1px;border-style:solid;max-width:100%;min-height:100px;line-height:1;width:100%;padding:12px;", " &:focus{", "}"], getBorderColor, getFocusBorderColor);
exports.Textarea = Textarea;