"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var S = _interopRequireWildcard(require("./Avatar.style"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var displayName = 'AvatarInitials';
var defaultProps = {
  color: '#ffffff',
  size: 2
};
var fontSize = [1, 2, 5, 6, 7];

var Initials = function Initials(_ref) {
  var color = _ref.color,
      value = _ref.value,
      size = _ref.size;
  return _react.default.createElement(S.Initials, {
    color: color,
    fontSize: fontSize[size]
  }, value);
};

Initials.displayName = displayName;
Initials.defaultProps = defaultProps;
var _default = Initials;
exports.default = _default;